#########################################################
####     Luhmann - R fr Einsteiger - 4. Auflage    #####
#### Kapitel 10 - Bivariate deskriptive Statistiken #####
#########################################################

# Beispieldaten laden 
setwd("D:/Ordner 1/Ordner 2")
load("erstis.RData")

attach(erstis)


#### Abschnitt 10.1 ####

# Absolute Hufigkeiten
table(berlin, geschl)

# Randsummen
addmargins(table(berlin, geschl))

# Zeilensummen
rowSums(table(berlin, geschl))

#Spaltensummen
colSums(table(berlin, geschl))

# Relative Hufigkeiten
prop.table(table(berlin, geschl))

# Relative Hufigkeiten mit Randsummen
addmargins(prop.table(table(berlin, geschl)))

# Relative Hufigkeiten in Bezug zur Zeilensumme
prop.table(table(berlin,geschl), 1)

# Relative Hufigkeiten in Bezug zur Spaltensumme 
prop.table(table(berlin,geschl), 2)

# Mehrdimensionale Hufigkeitstabelle
table(berlin, wohnort.alt, geschl)

# Kreuztabellen mit der CrossTable-Funktion
install.packages("gmodels")
library(gmodels)
CrossTable(berlin, geschl, format="SPSS")


#### Abschnitt 10.2 ####

# psych-Paket laden
library(psych)

# Data Frame erstellen
auswahl <- data.frame(alter, abi, zuf.inh.1)

# Korrelation mit cor-Funktion
cor(auswahl)
cor(auswahl, use = "complete")
cor(auswahl, use = "pairwise")

# Korrelation mit der corr.test-Funktion
corr.test(auswahl)
corr.test(auswahl)$r
corr.test(auswahl)$ci

# Tabelle mit deskriptiven Statistiken erstellen und exportieren
d <- describe(auswahl)
c <- corr.test(auswahl)$r
t <- cbind(M = d$mean, SD = d$sd, c)
write.csv2(t, file = "Deskriptive Statistiken.csv")
saveTable(t, file = "Deskriptive Statistiken.rtf")

# Ungerichteter Test der Korrelation
cor.test(abi, alter)

# Gerichteter Test der Korrelation
cor.test(abi, alter, alternative="greater")

# Kovarianz
cov(alter, abi, use = "complete")

# Kovarianzmatrix
auswahl <- data.frame(alter, abi, zuf.inh.1)
cov(auswahl, use="pairwise")

# Zum Vergleich: Varianz
var(alter, na.rm=TRUE)



