#########################################################
####     Luhmann - R fr Einsteiger - 4. Auflage    #####
#### Kapitel 12 - Grundlagen der Inferenzstatistik  #####
#########################################################


#### Abschnitt 12.1 ####

# t-Verteilung mit 100 df 
curve(dt(x, 100), -3, 3)


# t-Verteilungen mit 1 und 10 df
curve(dt(x, 1), lty=2, add=TRUE)
curve(dt(x, 10), lty=3, add=TRUE)

# Legende
legend("topright", c("df = 1", "df = 10", "df = 100"),  lty = c(2,3,1))

# Kritische Werte
qt(0.025, 128)
qt(0.975, 128)
qt(0.05, 128)

# p-Werte
qt(0.95,128)
pt(1.656845, 128)
1-pt(1.656845, 128)
1-pt(0.89,198)
pt(-1.79, 30)


#### Abschnitt 12.2 ####

# pwr-Paket installieren und laden
install.packages("pwr")
library(pwr)

# t-Test fr eine Stichprobe
pwr.t.test(d=0.5, sig.level=0.05, power=0.8, type="one.sample", alternative="two.sided")

# t-Test fr unabhngige Stichprobe
pwr.t.test(d=0.5, sig.level=0.05, power=0.8, type="two.sample", alternative="two.sided")

# t-Test fr abhngige Stichprobe
pwr.t.test(d=0.5, sig.level=0.05, power=0.8, type="paired", alternative="two.sided")

# Korrelationskoeffizient
pwr.r.test(r=0.14, sig.level=0.05, power=0.8, alternative="two.sided")

# Multiple Regression
pwr.f2.test(u = 5, f2 = 0.3/(1-0.3), sig.level = 0.05, power = 0.8)

# Einfaktorielle Varianzanalyse ohne Messwiederholung
pwr.anova.test(k=4, f=0.25, sig.level=0.05, power=0.80)



