############################################################
####      Luhmann - R fr Einsteiger - 4. Auflage      #####
####      Kapitel 18 - Nonparametrische Verfahren      #####
############################################################

# Beispieldaten laden 
setwd("D:/Ordner 1/Ordner 2")
load("erstis.RData")

attach(erstis)


#### Abschnitt 18.1 ####

# chi2-Anpassungstest
geschl.tab <- table(geschl)
geschl.tab
prop.table(geschl.tab)

chisq.test(geschl.tab)
chisq.test(geschl.tab, p = c(0.7,0.3))

# chi2-Test fr zwei Variablen
tabelle <- table(geschl, gruppe)
addmargins(tabelle)
chisq.test(tabelle)

# Erwartete Werte und Residuen
chisq.test(tabelle)$expected
chisq.test(tabelle)$residuals

# chi2-Test mit Korrektur nach Yates
chisq.test(table(geschl, berlin))

# Fisher-Test fr erwartete Hufigkeiten < 5
fisher.test(tabelle)

 
#### Abschnitt 18.2 ####

# Wilcoxon-Test fr eine Stichprobe
summary(stim1)
wilcox.test(stim1, mu = 3.0)

# Wilcoxon-Test fr unabhngige Stichproben
tapply(stim1, geschl, summary)
wilcox.test(stim1 ~ geschl)

# Wilcoxon-Test fr abhngige Stichproben
summary(na.omit(data.frame(stim1, stim8)))
wilcox.test(stim1, stim8, paired=TRUE)


#### Abschnitt 18.3 ####

# Kruskal-Wallis-Test
tapply(stim1, gruppe, summary)
kruskal.test(stim1 ~ gruppe)
