##################################################
#### Luhmann - R fr Einsteiger - 4. Auflage #####
#### Kapitel 8 - Flle sortieren und auswhlen ###
##################################################

# Beispieldaten laden 
setwd("D:/Ordner 1/Ordner 2")
load("bigfive.RData")


#### Abschnitt 8.1 ####

# order-Funktion auf "alter" anwenden
alter.order <- order(bigfive$alter)

# Werte des neuen Objekts ausgeben lassen
alter.order

# absteigende Rangfolge anfordern
alter.order.ab <- order(-bigfive$alter)

# Daten anschauen
View(bigfive)

# Zeilen 3, 6, 24 und 63 anschauen
View(bigfive[c(3, 6, 24, 63),])

# Rangfolge auf die Ausgabe anwenden
View(bigfive[alter.order, ])

# Sortierte Daten in neuem Data Frame speichern
bigfive.sortiert <- bigfive[alter.order, ]
View(bigfive.sortiert)


#### Abschnitt 8.2 ####

# Die subset-Funktion

# Frauen auswhlen 
bigfive.frauen <- subset(bigfive, subset = sex == 1)
View(bigfive.frauen)

# Frauen auswhlen ber Wertelabel
bigfive.frauen <- subset(bigfive, subset = sex.faktor == "weiblich")
View(bigfive.frauen)

# Frauen unter 25 Jahren auswhlen
bigfive.frauen <- subset(bigfive, subset = sex == 1 & alter < 25)

# Variablen und Flle simultan auswhlen
bigfive.frauen <- subset(bigfive, subset = sex == 1, select = bf01:bf04)
View(bigfive.frauen)

# Die which-Funktion

# Zeilennummern der Frauen anzeigen
which(bigfive$sex == 1)

# Frauen ber die Index-Funktion auswhlen
bigfive.frauen <- bigfive[which(bigfive$sex == 1), ]

# 3 Personen aus Daten entfernen
reduziert.1 <- bigfive[-c(3, 5, 7), ]

# Alle Personen entfernen, die genau 25 Jahre alt sind
reduziert.2 <- bigfive[-which(bigfive$alter == 25), ]
reduziert.2 <- bigfive[which(bigfive$alter != 25), ]



#### Abschnitt 8.3 ####

# Variablen auswhlen 
attach(bigfive)
auswahl <- data.frame(bf01, bf02, bf03, bf04)
detach(bigfive)

# Fehlende Werte lschen
auswahl <- na.omit(auswahl)

# Fallzahlen fr die beiden Datenstze ausgeben lassen 
nrow(bigfive)
nrow(auswahl)
